#!/bin/bash -e
#
# Installs Prometheus Blackbox Exporter for scraping monitoring metrics about
# external services over standard transports.
#
###############################################################################

set -o pipefail

###############################################################################

hash sudo
hash pacman

###############################################################################

echo "------------------------------------------------------------------------"
echo "- Installing Prometheus Blackbox Exporter...                           -"
echo "------------------------------------------------------------------------"

sudo pacman -S --needed --noconfirm prometheus-blackbox-exporter

###############################################################################

echo "------------------------------------------------------------------------"
echo "- Configuring...                                                       -"
echo "------------------------------------------------------------------------"

sudo systemctl enable prometheus-blackbox-exporter.service

###############################################################################

echo "------------------------------------------------------------------------"
echo "- DONE!                                                                -"
echo "------------------------------------------------------------------------"

###############################################################################
